@echo off &setlocal EnableDelayedExpansion

:: conin.exe - Read Console Input
:: type:  %errorlevel%>>29 (0=keyboard, 1=left click, 2=right click, 3=mouse move)
:: key:   %errorlevel% (either character code or (for extended keys) 256 + key code)
:: mouse: row = (%errorlevel%>>14)&0x3FFF, column = %errorlevel%&0x3FFF

for /l %%i in () do (
  conin.exe
  set /a "key=!errorlevel!, type=key>>29, y=(key>>14)&0x3FFF, x=key&0x3FFF"
  
  if !type!==1 (
    echo mouse left  x=!x!, y=!y!
  ) else if !type!==2 (
    echo mouse right x=!x!, y=!y!
  ) else if !type!==3 (
    echo mouse move  x=!x!, y=!y!
  ) else (
    echo keyboard !key!
  )
)
